# Class FilesXml

java.lang.Object
net.sf.statcvs.pages.xml.FilesXml

public class FilesXml extends Object

## Constructor Summary

Constructors
Constructor
Description
`FilesXml(ReportConfig config)`

## Method Summary

Modifier and Type
Method
Description
`org.jdom.Element`
`largestFiles()`
returns jdom element which contains data of the largest files in terms of LOC of the repository
`org.jdom.Element`
`mostRevs()`
returns jdom element which contains data of the files with most revisions
`org.jdom.Element`
`toFile()`
returns jdom element which contains data regarding the files of the repository

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilesXml

public FilesXml(ReportConfig config)

Parameters:
  `config` - Configuration and data for the report suite

## Method Details

### toFile

public org.jdom.Element toFile()
returns jdom element which contains data regarding the files of the repository

### largestFiles

public org.jdom.Element largestFiles()
returns jdom element which contains data of the largest files in terms of LOC of the repository

### mostRevs

public org.jdom.Element mostRevs()
returns jdom element which contains data of the files with most revisions